-- Cambiar <PATH> , <HOST>, <OID_Repositorio>,<HOST_APPLIANCE>
--
-- ParameterType:
--
INSERT INTO parametertype VALUES (1, 'Parmetros generales del XDSBUS', 'PROXY ');
INSERT INTO parametertype VALUES (2, 'Parmetros registro nacional (appliancep', 'RECNAC');
INSERT INTO parametertype VALUES (3, 'Parmetros retrieve applianceps', 'APPRET');
INSERT INTO parametertype VALUES (4, 'Query registro nacional', 'REGQRY');
INSERT INTO parametertype VALUES (6, 'Registro Local iti 57', 'REGLOC');
INSERT INTO parametertype VALUES (7, 'Modulo Gestion Mensajeria', 'MGM   ');
INSERT INTO parametertype VALUES (8, 'Parmetros del Syslog', 'SYS   ');

--
--Parameter:
--
INSERT INTO parameter VALUES (2, 'PORT  ', 'adocumentregistryPort', 'PORT RN');
INSERT INTO parameter VALUES (4, 'PORT  ', 'aqueryregistryPort', 'PORT QUERY RN');
INSERT INTO parameter VALUES (2, 'WSDL  ', 'file:///<PATH>/adocumentregistry_services.xml', 'WSDL RN');
INSERT INTO parameter VALUES (3, 'URL   ', '<HOST_APPLIANCE>/AppliancePS/adocumentrepository_services', 'URL RETR RN');
INSERT INTO parameter VALUES (3, 'WSDL  ', '<HOST_APPLIANCE>/AppliancePS/adocumentrepository_services?wsdl', 'WSDL RETR RN');
INSERT INTO parameter VALUES (3, 'PORT  ', 'adocumentrepositoryPort', 'PORT RETR RN');
INSERT INTO parameter VALUES (6, 'WSDL  ', 'file:///<PATH>/adocumentregistry_services_local.xml', 'WSDL SERVICE ITI-57');
INSERT INTO parameter VALUES (6, 'URL   ', '<HOST_APPLIANCE>/RegistroXDS/adocumentregistry_services', 'URL SERVICE ITI-57 ');
INSERT INTO parameter VALUES (6, 'PORT  ', 'adocumentregistryPort', 'PORT NAME ITI-57');
INSERT INTO parameter VALUES (4, 'URL   ', '<HOST_APPLIANCE>/RegistroXDS/aqueryregistry_services', 'URL QUERY RN');
INSERT INTO parameter VALUES (4, 'WSDL  ', '<HOST_APPLIANCE>/RegistroXDS/aqueryregistry_services?wsdl', 'WSDL QUERY RN');
INSERT INTO parameter VALUES (1, 'LOG   ', '1', 'Habilitar/Deshabilitar LOG');
INSERT INTO parameter VALUES (7, 'PATHS ', '<PATH>/log4j.xml', 'File path Syslog');
INSERT INTO parameter VALUES (2, 'URL   ', '<HOST_APPLIANCE>/AppliancePS/adocumentregistry_services', 'URL REC NACIONAL');
INSERT INTO parameter VALUES (8, 'REGNAC', 'Registro Nacional', 'Registro Nacional');
INSERT INTO parameter VALUES (8, 'INUS  ', 'INUS', 'INUS');
INSERT INTO parameter VALUES (8, 'REPO  ', 'Repositorio', 'Repositorio');
INSERT INTO parameter VALUES (8, 'FAC   ', '13', 'Valor del Facility');
INSERT INTO parameter VALUES (8, 'SEV   ', '6', 'Valor del Severity');
INSERT INTO parameter VALUES (8, 'PATHS ', '<PATH>/log4j.xml', 'file path Syslog');
INSERT INTO parameter VALUES (1, 'CTRDAT', '0', 'Enable control de datos');
INSERT INTO parameter VALUES (8, 'ID    ', '1', 'Identificador del mensaje Syslog');
INSERT INTO parameter VALUES (7, 'SINC  ', '1', 'Envio de mensajes Sincrono o Asincrono');
INSERT INTO PARAMETER VALUES ((SELECT ParameterTypeId FROM PARAMETERTYPE WHERE PARAMETERTYPECOD LIKE '%MGM%'),'MAXINT','10' ,'MAXIMO CANTIDAD DE REINTENTOS');

--
--ProcessType:
--
INSERT INTO processtype VALUES (1, 'BATCH ', 'Reenvo de MensajeraReenvo de Mensajera                                                                                                                                                              ');

--
-- Process: 
--
INSERT INTO process VALUES (2, 'ITI-42', 'ITI-42                                                                                                                  ', 5, 1);
INSERT INTO process VALUES (1, 'ITI-41', 'ITI-41                                                                                                                  ', 5, 1);
INSERT INTO process VALUES (3, 'ITI-57', 'ITI-57                                                                                                                  ', 5, 1);

--
-- RepositoryData: 
--
INSERT INTO repositorydata VALUES ('<OID_Repositorio>','<HOST>/RepositorioXDS/adocumentrepository_services', 'file:///<PATH>/adocumentrepository_services.xml', true, '2.x');

--
--State:
--
INSERT INTO state VALUES (2, 'PROCSE', 'Procesado sin error                                                                                                     ');
INSERT INTO state VALUES (3, 'PROCCE', 'Procesado con error                                                                                                     ');
INSERT INTO state VALUES (4, 'CANUSU', 'Cancelado por usuario                                                                                                   ');
INSERT INTO state VALUES (5, 'CANPRO', 'Cancelado por proceso                                                                                                   ');
INSERT INTO state VALUES (1, 'PEND  ', 'Mensaje Pendiente                                                                                                       ');

